//
//	plasticfs - the plastic file system
//	Copyright (C) 2002 Peter Miller;
//	All rights reserved.
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: functions to impliment the errno_insulator class
//

#pragma implementation "libplasticfs::errno_insulator"

#include <cerrno>
#include <cstring>
#include <errno_insulator.h>

using namespace libplasticfs;


errno_insulator::~errno_insulator()
{
    errno = hold;
}


errno_insulator::errno_insulator() :
    hold(errno)
{
}


const char *
errno_insulator::gets()
    const
{
    return strerror(hold);
}
