//
//	plasticfs - the plastic file system
//	Copyright (C) 2003 Peter Miller;
//	All rights reserved.
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: functions to impliment the getdirentries class
//

#include <plasticfs.h>

using namespace libplasticfs;

//#define DEBUG


extern "C" ssize_t
getdirentries(int fd, char *buf, size_t nbytes, off_t *basep)
{
    #ifdef DEBUG
    plasticfs::error_message("%s: %d: getdirentries(fd = %d, buf = %p, "
	"nbytes = %u)\n", __FILE__, __LINE__, fd, buf, nbytes);
    #endif

    return plasticfs::get_master()->getdirentries(fd, buf, nbytes, basep);
}


extern "C" ssize_t
__getdirentries(int fd, char *buf, size_t nbytes, off_t *basep)
{
    #ifdef DEBUG
    plasticfs::error_message("%s: %d: __getdirentries(fd = %d, buf = %p, "
	"nbytes = %u)\n", __FILE__, __LINE__, fd, buf, nbytes);
    #endif

    return plasticfs::get_master()->getdirentries(fd, buf, nbytes, basep);
}


extern "C" ssize_t
getdirentries64(int fd, char *buf, size_t nbytes, off64_t *basep)
{
    #ifdef DEBUG
    plasticfs::error_message("%s: %d: getdirentries64(fd = %d, buf = %p, "
	"nbytes = %u)\n", __FILE__, __LINE__, fd, buf, nbytes);
    #endif

    return plasticfs::get_master()->getdirentries64(fd, buf, nbytes, basep);
}


extern "C" ssize_t
__getdirentries64(int fd, char *buf, size_t nbytes, off64_t *basep)
{
    #ifdef DEBUG
    plasticfs::error_message("%s: %d: __getdirentries64(fd = %d, buf = %p, "
	"nbytes = %u)\n", __FILE__, __LINE__, fd, buf, nbytes);
    #endif

    return plasticfs::get_master()->getdirentries64(fd, buf, nbytes, basep);
}
