//
//	plasticfs - the plastic file system
//	Copyright (C) 2003 Peter Miller;
//	All rights reserved.
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: functions to impliment the input_file class
//

#pragma implementation "libplasticfs::input_file"

#include <input/file.h>
#include <fcntl.h>

using namespace libplasticfs;


input_file::~input_file()
{
    if (fd >= 0)
    {
	fs->close(fd);
	fd = -1;
    }
    fs = 0;
}


input_file::input_file(plasticfs *filsys, const rcstring &filename) :
    fs(filsys),
    fn(filename),
    fd(-1)
{
}


ssize_t
input_file::underflow(void *buffer, size_t size)
{
    if (fd < 0)
    {
	fd = fs->open(fn.c_str(), O_RDONLY, 0);
	if (fd < 0)
	    return -1;
    }
    return fs->read(fd, buffer, size);
}
