//
//	plasticfs - the plastic file system
//	Copyright (C) 2003 Peter Miller;
//	All rights reserved.
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: functions to impliment the mknod class
//

#include <plasticfs.h>
#include <cerrno>

using namespace libplasticfs;


extern "C" int
mknod(const char *path, mode_t mode, dev_t dev)
{
    if (!path)
    {
	errno = EINVAL;
	return -1;
    }
    return plasticfs::get_master()->mknod(path, mode, dev);
}


extern "C" int
__mknod(const char *path, mode_t mode, dev_t dev)
{
    if (!path)
    {
	errno = EINVAL;
	return -1;
    }
    return plasticfs::get_master()->mknod(path, mode, dev);
}


extern "C" int
xmknod(int ver, const char *path, mode_t mode, dev_t dev)
{
    if (!path)
    {
	errno = EINVAL;
	return -1;
    }
    return plasticfs::get_master()->xmknod(ver, path, mode, dev);
}


extern "C" int
__xmknod(int ver, const char *path, mode_t mode, dev_t dev)
{
    if (!path)
    {
	errno = EINVAL;
	return -1;
    }
    return plasticfs::get_master()->xmknod(ver, path, mode, dev);
}
