//
//	plasticfs - the plastic file system
//	Copyright (C) 2002, 2003 Peter Miller;
//	All rights reserved.
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: functions to impliment the opendir class
//

#include <plasticfs.h>
#include <cerrno>

using namespace libplasticfs;


extern "C" DIR *
opendir(const char *path)
{
    if (!path)
    {
	errno = EINVAL;
	return 0;
    }
    return plasticfs::get_master()->opendir(path);
}


extern "C" DIR *
__opendir(const char *path)
{
    return plasticfs::get_master()->opendir(path);
}


extern "C" int
closedir(DIR *dirp)
{
    return plasticfs::get_master()->closedir(dirp);
}


extern "C" int
__closedir(DIR *dirp)
{
    return plasticfs::get_master()->closedir(dirp);
}


extern "C" dirent *
readdir(DIR *dirp)
{
    return plasticfs::get_master()->readdir(dirp);
}


extern "C" dirent *
__readdir(DIR *dirp)
{
    return plasticfs::get_master()->readdir(dirp);
}


extern "C" dirent64 *
readdir64(DIR *dirp)
{
    return plasticfs::get_master()->readdir64(dirp);
}


extern "C" dirent64 *
__readdir64(DIR *dirp)
{
    return plasticfs::get_master()->readdir64(dirp);
}


extern "C" void
rewinddir(DIR *dirp)
{
    plasticfs::get_master()->rewinddir(dirp);
}


extern "C" void
__rewinddir(DIR *dirp)
{
    plasticfs::get_master()->rewinddir(dirp);
}


extern "C" void
seekdir(DIR *dirp, long pos)
{
    return plasticfs::get_master()->seekdir(dirp, pos);
}


extern "C" void
__seekdir(DIR *dirp, long pos)
{
    return plasticfs::get_master()->seekdir(dirp, pos);
}


extern "C" long
telldir(DIR *dirp)
{
    return plasticfs::get_master()->telldir(dirp);
}


extern "C" long
__telldir(DIR *dirp)
{
    return plasticfs::get_master()->telldir(dirp);
}


extern "C" int
dirfd(DIR *dirp)
{
    return plasticfs::get_master()->dirfd(dirp);
}


extern "C" int
__dirfd(DIR *dirp)
{
    return plasticfs::get_master()->dirfd(dirp);
}
