//
//	plasticfs - the plastic file system
//	Copyright (C) 2003 Peter Miller;
//	All rights reserved.
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: functions to impliment the plasticfs_filter_nocase_title class
//

#pragma implementation "libplasticfs::plasticfs_filter_nocase_title"

#include <plasticfs/filter/nocase/title.h>
#include <cctype>

using namespace libplasticfs;


plasticfs_filter_nocase_title::~plasticfs_filter_nocase_title()
{
}


plasticfs_filter_nocase_title::plasticfs_filter_nocase_title(
	plasticfs *deeper, const rcstring_list &args) :
    plasticfs_filter_nocase(deeper, args)
{
}


plasticfs *
plasticfs_filter_nocase_title::factory(plasticfs *deeper,
    const rcstring_list &args)
{
    return new plasticfs_filter_nocase_title(deeper, args);
}


void
plasticfs_filter_nocase_title::relative_name_unmapping(char *name, size_t)
{
    bool first = true;
    while (*name)
    {
	unsigned char c = *name;
	if (islower(c))
	{
	    if (first)
		*name = toupper(c);
	    first = false;
	}
	else if (isupper(c))
	{
	    if (!first)
		*name = tolower(c);
	    first = false;
	}
	else
	    first = true;
	++name;
    }
}
