//
//	plasticfs - the plastic file system
//	Copyright (C) 2003 Peter Miller;
//	All rights reserved.
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: functions to impliment the plasticfs_filter_nocase_toupper class
//

#pragma implementation "libplasticfs::plasticfs_filter_nocase_toupper"

#include <plasticfs/filter/nocase/toupper.h>
#include <cctype>

using namespace libplasticfs;


plasticfs_filter_nocase_toupper::~plasticfs_filter_nocase_toupper()
{
}


plasticfs_filter_nocase_toupper::plasticfs_filter_nocase_toupper(
	plasticfs *deeper, const rcstring_list &args) :
    plasticfs_filter_nocase(deeper, args)
{
}


plasticfs *
plasticfs_filter_nocase_toupper::factory(plasticfs *deeper,
    const rcstring_list &args)
{
    return new plasticfs_filter_nocase_toupper(deeper, args);
}


void
plasticfs_filter_nocase_toupper::relative_name_unmapping(char *name, size_t)
{
    while (*name)
    {
	if (islower((unsigned char)*name))
	    *name = toupper((unsigned char)*name);
	++name;
    }
}
