//
//	plasticfs - the plastic file system
//	Copyright (C) 2002 Peter Miller;
//	All rights reserved.
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: functions to impliment the plasticfs_stat class
//

#include <plasticfs.h>
#include <sys/stat.h>

using namespace libplasticfs;


int
plasticfs::stat(const char *path, struct stat *statbuf)
{
    return xstat(_STAT_VER, path, statbuf);
}


int
plasticfs::stat64(const char *path, struct stat64 *statbuf)
{
    return xstat64(_STAT_VER, path, statbuf);
}


int
plasticfs::lstat(const char *path, struct stat *statbuf)
{
    return lxstat(_STAT_VER, path, statbuf);
}


int
plasticfs::lstat64(const char *path, struct stat64 *statbuf)
{
    return lxstat64(_STAT_VER, path, statbuf);
}


int
plasticfs::fstat(int filedesc, struct stat *statbuf)
{
    return fxstat(_STAT_VER, filedesc, statbuf);
}


int
plasticfs::fstat64(int filedesc, struct stat64 *statbuf)
{
    return fxstat64(_STAT_VER, filedesc, statbuf);
}
