//
//	plasticfs - the plastic file system
//	Copyright (C) 2002 Peter Miller;
//	All rights reserved.
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: functions to impliment the rcstring_catenate class
//

#include <cstring>
#include <rcstring.h>

using namespace libplasticfs;


rcstring
rcstring::catenate(const rcstring &lhs, const rcstring &rhs)
{
    static char *tmp;
    static size_t tmplen;
    size_t length = lhs.length() + rhs.length();
    if (tmplen < length)
    {
	if (tmp)
	{
	    char *new_tmp = new char[length];
	    memcpy(new_tmp, tmp, tmplen);
	    delete [] tmp;
	    tmp = new_tmp;
	}
	else
	    tmp = new char[length];
	tmplen = length;
    }
    memcpy(tmp, lhs.c_str(), lhs.length());
    memcpy(tmp + lhs.length(), rhs.c_str(), rhs.length());
    return rcstring(tmp, length); 
}
