//
//	plasticfs - the plastic file system
//	Copyright (C) 2002 Peter Miller;
//	All rights reserved.
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: functions to impliment the rcstring_downcase class
//

#include <cctype>
#include <cstring>
#include <rcstring.h>

using namespace libplasticfs;


rcstring
rcstring::downcase()
    const
{
    static char *tmp;
    static size_t tmplen;
    if (tmplen < length())
    {
	size_t new_tmplen = length();
	if (tmp)
	{
	    char *new_tmp = new char[new_tmplen];
	    memcpy(new_tmp, tmp,tmplen);
	    delete [] tmp;
	    tmp = new_tmp;
	}
	else
	    tmp = new char[new_tmplen];
	tmplen = new_tmplen;
    }

    const char *cp1;
    char *cp2;
    for (cp1 = c_str(), cp2 = tmp; *cp1; ++cp1, ++cp2)
    {
	unsigned char c = *cp1;
	if (isupper(c))
    	    c = tolower(c);
	*cp2 = c;
    }
    return rcstring(tmp, length());
}
