//
//	plasticfs - the plastic file system
//	Copyright (C) 2003 Peter Miller;
//	All rights reserved.
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: functions to impliment the statfs class
//

#include <plasticfs.h>

using namespace libplasticfs;


extern "C" int
statfs(const char *path, struct statfs *buf)
{
    return plasticfs::get_master()->statfs(path, buf);
}


extern "C" int
__statfs(const char *path, struct statfs *buf)
{
    return plasticfs::get_master()->statfs(path, buf);
}


extern "C" int
fstatfs(int fd, struct statfs *buf)
{
    return plasticfs::get_master()->fstatfs(fd, buf);
}


extern "C" int
__fstatfs(int fd, struct statfs *buf)
{
    return plasticfs::get_master()->fstatfs(fd, buf);
}


extern "C" int
statfs64(const char *path, struct statfs64 *buf)
{
    return plasticfs::get_master()->statfs64(path, buf);
}


extern "C" int
__statfs64(const char *path, struct statfs64 *buf)
{
    return plasticfs::get_master()->statfs64(path, buf);
}


extern "C" int
fstatfs64(int fd, struct statfs64 *buf)
{
    return plasticfs::get_master()->fstatfs64(fd, buf);
}


extern "C" int
__fstatfs64(int fd, struct statfs64 *buf)
{
    return plasticfs::get_master()->fstatfs64(fd, buf);
}
